package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumTagGroup {

    ID_1(1L, "基础属性"),
    ID_2(2L, "生活属性"),
    ID_3(3L, "消费偏好"),
    ID_4(4L, "行为偏好"),

    ID_10(10L, "会员动态"),
    ;

    public static EnumTagGroup getEnum(Long code) {
        for (EnumTagGroup value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Long code;
    private String message;

    EnumTagGroup(Long code, String message) {
        this.code = code;
        this.message = message;
    }

    public Long getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
